void CFldDlg::OnChangeFieldVal()
{ 
   char sztemp[256];
   int cursel;
   cursel=((CListBox*)GetDlgItem(IDC_FIELD_LIST))->GetCurSel();
   DWORD dw;
   dw=((CListBox*)GetDlgItem(IDC_FIELD_LIST))->GetItemData(cursel);
   ::LoadString(hPerLib,HIWORD(dw)+1+Hex2Dec(m_nFldVal.GetBuffer(7)),sztemp,255);
   m_nFldVal.ReleaseBuffer();
   ((CListBox*)GetDlgItem(IDC_FIELD_LIST))->InsertString(cursel,sztemp);
   ((CListBox*)GetDlgItem(IDC_FIELD_LIST))->DeleteString(cursel+1);
   
   ((CListBox*)GetDlgItem(IDC_FIELD_LIST))->SetItemData(cursel,dw); 
   ((CListBox*)GetDlgItem(IDC_FIELD_LIST))->SetCurSel(cursel);

   char szBuff[256]="";
   if( ( ( (cpuid==48)||(cpuid==49) )&&(m_nRegid==13) )||
       ( ( (cpuid>43 )&&(cpuid<48 ) )&&(m_nRegid==13) )||
       ( ( (cpuid==42)||(cpuid==43) )&&(m_nRegid==9 ) )&&
       ( ( cursel==0)||(cursel==1)||(cursel==7) ) )
    { 
      int addtmp;
      addtmp=( (m_nRegVal&0x80)!=0)?4:0;
      addtmp+=(m_nRegVal&0x03); 
      ::LoadString(hPerLib,100+addtmp,szBuff,255);
      }
   else
      strncpy(szBuff,&sztemp[12],128);   
   SetDlgItemText(IDC_RO_EDIT2,szBuff);

}

